Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for Emacs Lisp.

From: Vladimir Nikishkin <[email-masked]>
Date: Wed, 11 Nov 2020 16:18:17 +0800

Just to clarify,

I am not asking that exactly the syntax of srfi-62 as it is be added.
(Although Emacs Lisp already uses #'symbol as a reader-syntax switch,
so I suspect that it is possible)
I am asking for _some_ syntax to comment out valid sexps, whichever
fits Emacs Lisp most.

Vlad

On Wed, 11 Nov 2020 at 15:46, Jean Louis <[email-masked]> wrote:
>
> * Richard Stallman <[email-masked]> [2020-11-11 08:42]:
> > [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> > [[[ whether defending the US Constitution against all enemies,     ]]]
> > [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> >
> >   > > #| this is
> >   > > a comment |#
> >
> >   > Voting for CL comment blocks.
> >
> > Before deciding to add any syntax to Emacs Lisp, we must make sure
> > that all the Lisp-parsing commands can handle them.
> >
> > If some other Lisp mode handles them already, that suggests it won't
> > be hard; but we have to verify it works in the context of Emacs Lisp
> > mode before making the decision to add that synatx to EMacs Lisp.
>
> Oh, yes! Thank you, it is understandable. In addition it would cause
> many compatibility problems with outside packages and previous
> versions of Emacs.
>

-- 
Yours sincerely, Vladimir Nikishkin
(Sent from GMail web interface.)